API Reference for Marketo Engage

Add Custom Activities

POST /rest/v1/activities/external.json

Allows insertion of custom activities associated to given lead records. Requires provisioning of custom activity types to utilize.

Operation ID
addCustomActivityUsingPOST
Permissions
Read-Write Activity
Request format
application/json
Returns
ResponseOfCustomActivity

Request body

application/json · required · CustomActivityRequest · 16 properties

input array of CustomActivity required

List of custom activities to insert

Model CustomActivity

activityDate string required

Datetime of the activity

activityTypeId integer (int32) required

Id of the activity type

apiName string
attributes array of Attribute required

List of secondary attributes

Model Attribute

apiName string
name string required

Name of the attribute

value object required

Value of the attribute

errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

id integer (int64) required

Integer id of the activity. For instances which have been migrated to Activity Service, this field may not be present, and should not be treated as unique.

leadId integer (int64) required

Id of the lead associated to the activity

marketoGUID string

Unique id of the activity (128 character string)

primaryAttributeValue string required

Value of the primary attribute

status string

Status of the operation performed on the record

Values created updated deleted skipped added removed

Responses

200 OK ResponseOfCustomActivity
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of CustomActivity required

Array of results for individual records in the operation, may be empty

Model CustomActivity

activityDate string required

Datetime of the activity

activityTypeId integer (int32) required

Id of the activity type

apiName string
attributes array of Attribute required

List of secondary attributes

Model Attribute

apiName string
name string required

Name of the attribute

value object required

Value of the attribute

errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

id integer (int64) required

Integer id of the activity. For instances which have been migrated to Activity Service, this field may not be present, and should not be treated as unique.

leadId integer (int64) required

Id of the lead associated to the activity

marketoGUID string

Unique id of the activity (128 character string)

primaryAttributeValue string required

Value of the primary attribute

status string

Status of the operation performed on the record

Values created updated deleted skipped added removed

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "activityDate": "string",
      "activityTypeId": 123,
      "apiName": "Example name",
      "attributes": [
        {
          "apiName": "Example name",
          "name": "Example name",
          "value": {}
        }
      ],
      "errors": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "id": 123,
      "leadId": 123,
      "marketoGUID": "123",
      "primaryAttributeValue": "string",
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results